Subject: Re: bug#35500: ocaml-utop fatal error
From: Julien Lepiller <[email-masked]>
To: Brett Gilio <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Apr 2019 10:29:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Mon, 29 Apr 2019 21:58:49 -0500,
Brett Gilio <[email-masked]> a écrit :

> I have ocaml-utop installed in an environment. When I run utop from
> the shell it returns this rather unamusing error message.
> 
> brettg@guixsd ~ [env]$ utop
> Fatal error: exception Not_found
> 
> There is a reference to this error on github, here
> https://github.com/ocaml-community/utop/issues/224
> 
> I tried patching this myself but I did not get far.
> 
> Brett Gilio
> 
> 
> 

Running strace on utop showed that it was trying to open a file in /usr
and that's what it couldn't find. Fixed in
6215132155e1a36629fdc5001edbf9dd53ead93f.